%define name    cellwriter
%define version 1.3.5
%define release %mkrel 1

Name:           %{name} 
Summary:        Character-based hardwriting input panel
Version:        %{version} 
Release:        %{release} 
Source0:        http://pub.risujin.org/%{name}-%{version}.tar.xz
URL:            http://risujin.org/cellwriter/ 
Group:          Accessibility
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPLv2+
BuildRequires:  libxtst-devel gtk2-devel libgnome2-devel
BuildRequires: desktop-file-utils

%description
CellWriter is a grid-entry natural handwriting input panel. As 
you write characters into the cells, your writing is instantly 
recognized at the character level. When you press 'Enter' on the 
panel, the input you entered is sent to the currently focused 
application as if typed on the keyboard.

%prep
%setup -q

%build
%configure2_5x
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR="$RPM_BUILD_ROOT" install

desktop-file-install --delete-original --vendor="" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  ${RPM_BUILD_ROOT}/%{_datadir}/applications/cellwriter.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
%clean_menus
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc README COPYING TODO AUTHORS
%{_bindir}/cellwriter
%dir %{_datadir}/cellwriter
%{_datadir}/cellwriter/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/cellwriter.svg
%{_datadir}/pixmaps/cellwriter.xpm
%{_mandir}/*/*


%changelog
* Thu Aug 01 2013 billybot <billybot> 1.3.5-1pclos2013
- update

* Sat Oct 15 2011 Texstar <texstar at gmail.com> 1.3.4-2pclos2011
- update from svn
